Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.engine.value.svg
Class SpacingManager

    java.lang.Object
      org.apache.batik.css.engine.value.AbstractValueFactory
          org.apache.batik.css.engine.value.AbstractValueManager
              org.apache.batik.css.engine.value.LengthManager
                  org.apache.batik.css.engine.value.svg.SpacingManager

All Implemented Interfaces:
  ValueManager

    public class SpacingManager

extends LengthManager

This class provides a manager for the '*-spacing' property values.

Field Summary
`protected String` | `property` The handled property.

Fields inherited from class org.apache.batik.css.engine.value.LengthManager
`BOTH_ORIENTATION, HORIZONTAL_ORIENTATION, VERTICAL_ORIENTATION`

Constructor Summary
`SpacingManager(String prop)` Creates a new SpacingManager.

Method Summary
`Value` | `createStringValue(short type, String value, CSSEngine engine)` Implements `ValueManager.createStringValue(short,String,CSSEngine)`.
`Value` | `createValue(org.w3c.css.sac.LexicalUnit lu, CSSEngine engine)` Implements `ValueManager.createValue(LexicalUnit,CSSEngine)`.
`Value` | `getDefaultValue()` Implements `ValueManager.getDefaultValue()`.
`protected int` | `getOrientation()` Indicates the orientation of the property associated with this manager.
`String` | `getPropertyName()` Implements `ValueManager.getPropertyName()`.
`int` | `getPropertyType()` Implements `ValueManager.getPropertyType()`.
`boolean` | `isAdditiveProperty()` Implements `ValueManager.isAdditiveProperty()`.
`boolean` | `isAnimatableProperty()` Implements `ValueManager.isAnimatableProperty()`.
`boolean` | `isInheritedProperty()` Implements `ValueManager.isInheritedProperty()`.

Methods inherited from class org.apache.batik.css.engine.value.LengthManager
`computeValue, createFloatValue`

Methods inherited from class org.apache.batik.css.engine.value.AbstractValueFactory
`createDOMException, createInvalidFloatTypeDOMException, createInvalidFloatValueDOMException, createInvalidIdentifierDOMException, createInvalidLexicalUnitDOMException, createInvalidStringTypeDOMException, createMalformedLexicalUnitDOMException, resolveURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### property

    protected String property

  The handled property.

Constructor Detail

### SpacingManager

    public SpacingManager(String prop)

  Creates a new SpacingManager.

Method Detail

### isInheritedProperty

    public boolean isInheritedProperty()

  Implements `ValueManager.isInheritedProperty()`.

### isAnimatableProperty

    public boolean isAnimatableProperty()

  Implements `ValueManager.isAnimatableProperty()`.

### isAdditiveProperty

    public boolean isAdditiveProperty()

  Implements `ValueManager.isAdditiveProperty()`.

### getPropertyType

    public int getPropertyType()

  Implements `ValueManager.getPropertyType()`.

### getPropertyName

    public String getPropertyName()

  Implements `ValueManager.getPropertyName()`.

  Specified by:
    `getPropertyName` in interface `ValueManager`
  Specified by:
    `getPropertyName` in class `AbstractValueFactory`

### getDefaultValue

    public Value getDefaultValue()

  Implements `ValueManager.getDefaultValue()`.

### createValue

    public Value createValue(org.w3c.css.sac.LexicalUnit lu,
                             CSSEngine engine)
                      throws DOMException

  Implements `ValueManager.createValue(LexicalUnit,CSSEngine)`.

  Specified by:
    `createValue` in interface `ValueManager`
  Overrides:
    `createValue` in class `LengthManager`
  Parameters:
    `lu` - The SAC lexical unit used to create the value.
    `engine` - The calling CSSEngine.
  Throws:
    `DOMException`

### createStringValue

    public Value createStringValue(short type,
                                   String value,
                                   CSSEngine engine)
                            throws DOMException

  Implements `ValueManager.createStringValue(short,String,CSSEngine)`.

  Specified by:
    `createStringValue` in interface `ValueManager`
  Overrides:
    `createStringValue` in class `AbstractValueManager`
  Parameters:
    `type` - A string code as defined in CSSPrimitiveValue. The string code can only be a string unit type.
    `value` - The new string value.
    `engine` - The CSS engine.
  Throws:
    `DOMException`

### getOrientation

    protected int getOrientation()

  Indicates the orientation of the property associated with this manager.

  Specified by:
    `getOrientation` in class `LengthManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.